* {
    font-family:'Gill Sans', 'Gill Sans MT', Calibri, 'Trebuchet MS', sans-serif;
    color: var(--menu-text);
}

:root {
    --gradient: linear-gradient(0.45turn, rgb(34, 255, 34), rgb(21, 208, 255));
}

input::-webkit-outer-spin-button,
input::-webkit-inner-spin-button {
  -webkit-appearance: none;
  margin: 0;
}

/* Firefox */
input[type=number] {
  -moz-appearance: textfield;
  appearance: textfield
}

input, select {
    -webkit-box-sizing: border-box;
       -moz-box-sizing: border-box;
            box-sizing: border-box;
}

body{
    background-color: var(--Background);
}

.wrapper{
    width: 100%;
    max-width: 960px;
    margin: 0 auto;
    height: fit-content;
}

header {
    display: flex;
    gap: 1rem;
    flex-wrap: wrap;
    width: auto;
    padding: 10px;
    background-color: var(--MenuBackground);
    border-radius: 5px;
    align-items: center;
    justify-content: space-between;
}

header div {
    flex: 0 0 fit-content;
}

header * {
    margin: 0;
}

header.wrapped > * {
    flex-grow: 1;
}

header > *:last-child{
    margin-left: 1rem;
}

.title {
    padding: 5px;
    padding-right: 8px;
    padding-left: 8px;
}

.title h1 {
    font-size: 1.5rem;
}

.title #msg{
    font-size: 0.8rem;
}

.login {
    font-size: 1.25rem;
    font-weight: bold;
    padding: 5px;
    color: var(--MenuBackground);
    background-color: var(--ItemHighlight);
    background: var(--gradient);
    border: 1px solid transparent;
}

a.login:hover {
    border: 1px solid transparent;
    color: var(--menu-text);
}

#msg {
    text-decoration-line: underline;
    text-decoration-color: var(--ItemHighlight);
}

#time {
    border-width: 12px;
    border-radius: 5px;
    padding: 5px;
    color: #333;
    font-weight: bold;
    background-color: var(--ItemHighlight);
    text-align: center;
}

.card {
    display: block;
    margin-top: 10px;
    padding: 10px;
    background-color: var(--MenuBackground);
    border-radius: 5px;
}

.card * {
    margin: 0;
}

.flex {
    display: flex;
    justify-content: space-between;
}

.status.done {
    visibility: visible;
    opacity: 1;
    color: var(--ItemHighlight);
    transition: color 0.5s;
}

.status.done::before {
    color: var(--ItemHighlight);
    transition: color 0.5s;
}

.status.working {
    visibility: visible;
    opacity: 1;
    transition: opacity 0.5s;
}

.status.missing {
    visibility: hidden;
    opacity: 0;
}

.status:not(:first-child)::before {
    content: "→ ";
}

.background_card {
    border: 1px solid var(--MenuHighlight);
    border-radius: 5px;
    padding: 10px;
    margin-top: 10px;
}

.background_card p {
    margin: 0;
}

.background_card * {
    color: var(--text);
}

a {
    display: block;
    padding-right: 1ex;
    padding-left: 1ex;
    border: 1px solid var(--MenuHighlight);
    background-color:transparent;
    text-decoration: none;
    fill: white;
    color: var(--text);
    transition: color 0.1s, fill 0.1s, border-color 0.1s;
    /* transition: all 1s; */
    border-radius: 5px;
}

a:hover {
    fill: var(--ItemHighlight);
    color: var(--ItemHighlight);
    border-color: var(--ItemHighlight);
}

a:active {
    fill: rgb(227, 255, 231);
    color: rgb(227, 255, 231);
    border: 1px solid rgb(227, 255, 231);
}

a h1 {
    display: block;
}

.submit {
    border: 1px solid transparent;
    background-color:transparent;
    font-size: medium;
    text-decoration: none;
    text-align: left;
    fill: var(--menu-text);
    color: var(--menu-text);
    display: block;
    display: flex;
    width: auto;
}

.submit:hover {
    fill: var(--ItemHighlight);
    color: var(--ItemHighlight);
    background-color: var(--MenuHighlight);
    border-radius: 5px;
    border: 1px solid var(--ItemHighlight);
}

.submit:active {
    fill: rgb(252, 255, 227);
    color: rgb(252, 255, 227);
    border: 1px solid rgb(252, 255, 227);
}

.Invisible {
    height: 0;
    background-color:transparent;
}

iframe {
    display: block;
    border-width: 0;
    margin: 2px;
    width: 100%;
    height: 1rem;
}